Name:           stallone
Version:        0.4.0
Release:        3%{?dist}
Summary:        A NAT-PMP daemon for Linux.

Group:          System Environment/Daemons
License:        LGPL
URL:            http://tedp.id.au/stallone/
Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}.service
Patch1:         %{name}-0.4.0-new-ifconfig-in-action-script.patch
Patch2:         %{name}-0.4.0-select.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libdaemon-devel, libcap-devel, asciidoc, gcc

%description
Stallone runs on devices that perform Network Address Translation
(NAT), allowing machines on private networks to request that TCP and
UDP ports be forwarded to them. The protocol used is called NAT Port
Mapping Protocol (NAT-PMP) which was originally implemented in Apple's
AirPort devices.

It is currently written for Linux machines using IP Tables.

%prep
%setup -q
%patch1 -p1 -b .new-ifconfig-in-action-script
%patch2 -p1 -b .select

%build
%configure --with-natpmd-user=nobody --with-natpmd-group=nobody
make %{?_smp_mflags} \
     NATPMD_DEFAULT_MAPPING_SCRIPT=%{_sysconfdir}/stallone/natpmd.action \
     NATPMD_CHROOT_DIR=%{_localstatedir}/empty/stallone


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT%{_datadir}/stallone/natpmd.action \
   $RPM_BUILD_ROOT%{_sysconfdir}/stallone/natpmd.action
rmdir $RPM_BUILD_ROOT%{_datadir}/stallone
install -d $RPM_BUILD_ROOT%{_mandir}/man8
install man/stallone.8 $RPM_BUILD_ROOT%{_mandir}/man8/
install -d $RPM_BUILD_ROOT%{_prefix}/lib/systemd/system
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_prefix}/lib/systemd/system/stallone.service
install -d $RPM_BUILD_ROOT%{_localstatedir}/empty/stallone

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc NEWS
%dir %{_prefix}/lib/systemd
%dir %{_prefix}/lib/systemd/system
%{_prefix}/lib/systemd/system/stallone.service
%dir %{_sysconfdir}
%dir %{_sysconfdir}/stallone
%config(noreplace) %{_sysconfdir}/stallone/natpmd.conf
%config(noreplace) %{_sysconfdir}/stallone/natpmd.action
%{_sbindir}/stallone
%dir %{_mandir}
%dir %{_mandir}/man8
%{_mandir}/man8/stallone.8.gz
%dir %{_localstatedir}
%dir %{_localstatedir}/empty
%attr(-,nobody,nobody) %{_localstatedir}/empty/stallone

%post
/usr/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -eq 1 ] ; then
   # Initial installation
   /usr/bin/systemctl preset stallone.service >/dev/null 2>&1 || :
fi

%preun
if [ $1 -eq 0 ] ; then
   # Package removal, not upgrade
   /usr/bin/systemctl --no-reload disable stallone.service > /dev/null 2>&1 || :
   /usr/bin/systemctl stop stallone.service > /dev/null 2>&1 || :
fi

%postun
if [ $1 -ge 1 ] ; then
   # Package upgrade, not uninstall
   /usr/bin/systemctl try-restart stallone.service >/dev/null 2>&1 || :
fi

%changelog
* Mon Oct 28 2019 Philippe Troin <phil@fifi.org> - 0.4.0-3
- Add BuildRequires: gcc.

* Fri Jan 12 2018 Philippe Troin <phil@fifi.org> - 0.4.0-2
- Fix FTBFS on FD_SET.

* Sun Jan 19 2014 Philippe Troin <phil@fifi.org> - 0.4.0-1
- Upstream updated to 0.4.0.
- Dropped stallone-0.2.0-public-iface.patch.
- Converted to systemd.

* Wed Sep 25 2013 Philippe Troin <phil@fifi.org> - 0.3.0-3
- Don't claim sbindir as ours.

* Sun Jun  3 2012 Philippe Troin <phil@fifi.org> - 0.3.0-2
- Added asciidoc to buildreqs.

* Thu Jun 17 2010 Philippe Troin <phil@fifi.org> - 0.3.0-1
- Upstream updated to 0.3.0.  Dropped obsolete patches.

* Mon Jun 29 2009 Philippe Troin <phil@fifi.org> - 0.2.0-4
- Compilation fix on F11.
- Fix some potentially dangerous (on 64-bits) format warnings.

* Fri Nov 14 2008 Philippe Troin <phil@fifi.org> - 0.2.0-2
- Remove allow-nonpriv.patch


* Mon Sep 22 2008 Philippe Troin <phil@fifi.org> - 0.2-1
- Created.
